
#property copyright "Copyright  2006, Hercs & ShadowWz"            

//=================================================================================================

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Red
#property indicator_width1 2
#property indicator_width2 2

extern int cbars = 600;
extern int WPR_Per = 14 ;
extern int MA_Per  = 8 ;
extern int WPR_levelT = 5;
extern int WPR_levelB = 95;
extern int    Move_Arrow     = 6 ;//5


double sBuffer[];
double bBuffer[];

int init(){
   //IndicatorBuffers(4);
   SetIndexStyle(0,DRAW_ARROW,EMPTY,2);
   SetIndexBuffer(0,sBuffer);
   SetIndexEmptyValue(0,0);
   SetIndexArrow(0,222);
   
   SetIndexStyle(1,DRAW_ARROW,EMPTY,2);
   SetIndexBuffer(1,bBuffer);
   SetIndexEmptyValue(1,0);
   SetIndexArrow(1,221);
   
   return(0);
}

int start(){
   static int last_bar = 0;
   if(last_bar==Bars) return (0);
   last_bar = Bars;
   int dir = 0;
   for(int i=cbars;i>0;i--){
         sBuffer[i] = 0;
         bBuffer[i] = 0;
         double WPR;
         WPR = iCustom(NULL, 0, "W%R_MA_LC",WPR_Per,MA_Per,0,i);
         if(WPR>=WPR_levelB){
            bBuffer[i] = High[i]+Move_Arrow*Point;
            }
         else if(MathAbs(WPR)<=WPR_levelT ){
            sBuffer[i] = Low[i]-Move_Arrow*Point;
            }
         }
   if(bBuffer[1]!=0 || sBuffer[1]!=0){
      //Alert(Symbol() + " M("+Period()+") - CCI-5 overheated");//<<<<<<<<<<< NB >>>>>>>>>>>
      }
   return(0);
  }
//+-----------------------------------------------------------------------------------------------+